# Load Python library from your App folder and run the custom action

import sys
import os

# Detect Python version and App
print("Using Python version: " + str(sys.version_info))
path_app = os.path.dirname(__file__).replace(os.sep,"/")
print("Running RoboDK App compiled action " + path_app)

# Check if the App is compatible with the Python version
version_str = str(sys.version_info[0]) + str(sys.version_info[1])
path_library = path_app + '/v' + version_str
if not os.path.isdir(path_library):
    raise Exception("RoboDK App not found. Make sure you are using a supported Python version: " + path_library)

# Load the App
exec("from v" + version_str + ".WeaveGenerator import *")

if __name__== "__main__":
    runmain()

